Subject: bug#51466: bug#53355: guix shell --check: confusing error message

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Jun 2022 09:34:33 +0200

Hi,

Chris Marusich <[email-masked]> skribis:

> Before pushing, I did some more tests to make sure it was still working.
> When I did this, I noticed that read-line was no longer returning
> strings that end in "\r".  This prevents child-shell-environment from
> behaving correctly, since it incorrectly assumes that all the lines end
> in "\r", stripping it off unconditionally.  In the past, I'm sure
> read-line was returning strings that end in "\r".  I don't know what
> changed, but I've attached a second patch that fixes this issue, also.

Weird, not sure what could have changed.

> Unless you have more feedback, I'll go ahead and push both patches to
> master in a few days.

Great, thank you!

Ludo’.